メインコンテンツへスキップ
GET
/
v2
/
trade
/
{chain}
/
top-traders
取引 - トップトレーダー
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "buyAmount": "600000",
      "buyAmountInNative": "100.5",
      "buyAmountInUsd": "12000.50",
      "buyCount": 60,
      "sellAmount": "400000",
      "sellAmountInNative": "66.8",
      "sellAmountInUsd": "8000.30",
      "sellCount": 40,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tradeAmount": "1000000",
      "tradeCount": 100,
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}
Get top traders ranked by volume for a specific token. Useful for identifying whales and market makers.
Related: GraphQL DEX Trades | MCP: trade_get_top_traders

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev
tokenAddress
string
必須

トークンのアドレス

timeFrame
enum<string>

取引フィルタの時間枠 Time frame for statistics

利用可能なオプション:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
sortType
enum<string>
デフォルト:desc

取引結果のソートタイプ Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)

利用可能なオプション:
asc,
desc
sortBy
enum<string>
デフォルト:tradeAmount

取引のソートフィールド Sort field for top traders query

利用可能なオプション:
tradeAmount,
tradeCount

レスポンス

200 - application/json

成功レスポンス

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="